SingleClientConnManager.PoolEntry (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class SingleClientConnManager.PoolEntry

    java.lang.Object
      org.apache.http.impl.conn.AbstractPoolEntry
          org.apache.http.impl.conn.SingleClientConnManager.PoolEntry

Enclosing class:
  SingleClientConnManager

    protected class SingleClientConnManager.PoolEntry

extends AbstractPoolEntry

The pool entry for this connection manager.

Field Summary

Fields inherited from class org.apache.http.impl.conn.AbstractPoolEntry
`connection, connOperator, route, state, tracker`

Constructor Summary
`protected` | `SingleClientConnManager.PoolEntry()` Creates a new pool entry.

Method Summary
`protected void` | `close()` Closes the connection in this pool entry.
`protected void` | `shutdown()` Shuts down the connection in this pool entry.

Methods inherited from class org.apache.http.impl.conn.AbstractPoolEntry
`getState, layerProtocol, open, setState, shutdownEntry, tunnelProxy, tunnelTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleClientConnManager.PoolEntry

    protected SingleClientConnManager.PoolEntry()

  Creates a new pool entry.

Method Detail

### close

    protected void close()
                  throws IOException

  Closes the connection in this pool entry.

  Throws:
    `IOException`

### shutdown

    protected void shutdown()
                     throws IOException

  Shuts down the connection in this pool entry.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.